task PoN {

  String SENTIEON_INSTALL_DIR
  String SENTIEON_LICENSE
  File ref_dir
  String fasta
  File regions

  File normal_bam
  File normal_bam_index
  String sample
  String docker
  String cluster_config
  String disk_size
  
  command <<<
    set -o pipefail
    set -e
    export SENTIEON_LICENSE=${SENTIEON_LICENSE}
    nt=$(nproc)

    if [ ${regions} ]; then
      INTERVAL="--interval ${regions}"
    else
      INTERVAL=""
    fi

    ${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt $INTERVAL -r ${ref_dir}/${fasta} -i ${normal_bam} \
    --algo TNhaplotyper2 --normal_sample ${sample} ${sample}.TNseq.PoN.vcf

    ${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt $INTERVAL -r ${ref_dir}/${fasta} -i ${normal_bam} \
    --algo TNscope --normal_sample ${sample} ${sample}.TNscope.PoN.vcf
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"  
  }

  output {
    File TNseq_pon_vcf = "${sample}.TNseq.PoN.vcf"
    File TNscope_pon_vcf = "${sample}.TNscope.PoN.vcf"
  }
}